#ifndef CONVERTERFUNCTIONS_H
#define CONVERTERFUNCTIONS_H

#include "rrob_to_gcol.h"

void convertToGCol(int n, bool **adjacent, int numMatchNodes, bool doubleRR, bool outputToScreen, int *hometeam, int *awayteam);
int calcNumEdges(bool **adjacent, int numNodes);
void makeOutput(char *filename, ofstream &outStream, int numMatchNodes, bool **adjacent, int numMatchEdges, int n,
				bool doubleRR, int *hometeam, int *awayteam, bool doingOtherConstraints, bool isMirrored, 
				bool perfectSolution, double preAssignProb, double unavailProb, char *perfectFilename, 
				int rSeed, bool writeComments, bool outputToScreen);
void addOtherConstraintsRandomly(int numMatchNodes, int numTSNodes, double preAssignProb, double unavailProb, IntVector &TS,
				 IntVector &M, ofstream &outStream, bool writeComents);
void addOtherConstraintsPerfect(int numMatchNodes, int numTSNodes, double preAssignProb, double unavailProb, IntVector &TS,
				IntVector &M, ofstream &outStream, char *perfectFilename, bool writeComments, bool outputToScreen);

#endif



